API reference · Types
BrowseProductSummary
Part of the response of GET /search.
Type: object
Example
{
"productId": 0,
"name": "string",
"set": "string",
"category": "string",
"rarity": "string",
"collectorNumber": "string",
"imageUrl": "string",
"isSealed": true,
"fromPrice": 0,
"sellerCount": 0,
"listingCount": 0,
"disclosures": {
"imageSource": "catalog",
"conditionSource": "seller_declared",
"authenticitySource": "seller_attestation",
"snapcasterInspected": false,
"snapcasterGraded": false,
"snapcasterAuthenticated": false,
"gradingStandard": "snapcaster-magic-v1",
"declaredGrade": "string",
"buyerProtection": "magic-grade-and-authenticity"
},
"fulfillmentObligation": {
"sku": "exact",
"printing": "exact",
"language": "exact",
"finish": "exact",
"condition": "declared-or-better"
}
}Fields
productIdinteger requiredSee Canonical catalog in Core concepts.
namestring or null requiredsetstring or null requiredThe card set or expansion.
categorystring or null requiredThe trading-card game category.
raritystring or null requiredThe rarity assigned to the card printing.
collectorNumberstring or null requiredimageUrlstring or null requiredisSealedboolean requiredfromPricenumber requiredMinimum offer price across sellers, in dollars as a decimal amount.
sellerCountinteger requiredCount of distinct sellers offering this product.
listingCountinteger requiredExact count of browsable offers for this product under the active filters: one per seller-or-store and SKU-or-variant.
disclosuresListingor null requiredDisclosures Provenance, grading, and authenticity statements shown to the buyer.
Show child fieldsHide child fields
disclosures.string requiredimageSource Constraints: allowed values:
catalogdisclosures.string requiredconditionSource Constraints: allowed values:
seller_declareddisclosures.string requiredauthenticitySource Constraints: allowed values:
seller_attestationdisclosures.boolean requiredsnapcasterInspected Constraints: allowed values:
falsedisclosures.boolean requiredsnapcasterGraded Constraints: allowed values:
falsedisclosures.boolean requiredsnapcasterAuthenticated Constraints: allowed values:
falsedisclosures.string requiredgradingStandard Constraints: allowed values:
snapcaster-magic-v1,seller-declared-no-specialist-promisedisclosures.string or null requireddeclaredGrade disclosures.string requiredbuyerProtection Constraints: allowed values:
magic-grade-and-authenticity,genuine-and-as-described
fulfillmentObligationListingor null requiredFulfillment Obligation Show child fieldsHide child fields
fulfillmentObligation.string requiredsku The SKU that identifies the card variant.
Constraints: allowed values:
exactfulfillmentObligation.string requiredprinting The card printing the seller must supply.
Constraints: allowed values:
exactfulfillmentObligation.string requiredlanguage The language of the card printing.
Constraints: allowed values:
exactfulfillmentObligation.string requiredfinish The physical finish or foil treatment of the card.
Constraints: allowed values:
exactfulfillmentObligation.string requiredcondition The normalized condition assigned to the card.
Constraints: allowed values:
declared-or-better
Used by
GET /search- Search products (response)